LinuxQMISDK: imsCfgIndRegisterInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
imsCfgIndRegisterInfo Struct Reference

## Data Fields
BYTE * | pSIPConfigEvents
BYTE * | pRegMgrConfigEvents
BYTE * | pSMSConfigEvents
BYTE * | pUserConfigEvents
BYTE * | pVoIPConfigEvents

## Detailed Description

This structure contains parameters of IMS Config Indication Register

Parameters

  pSIPConfigEvents(optional) | Registration Indication For SIP Configuration Events. When this registration is enabled, the device learns of SIP config events via the QMI_IMS_SIP_CONFIG_IND indication. 0x00 - Disable 0x01 - Enable
  pRegMgrConfigEvents(optional) | Registration Indication For Registration Manager Configuration Events. When this registration is enabled, the device learns of Reg Mgr config events via the QMI_IMS_REG_MGR_CONFIG_IND indication. 0x00 - Disable 0x01 - Enable
  pSMSConfigEvents(optional) | Registration Indication For SMS Configuration Events. When this registration is enabled, the device learns of SMS config events via the QMI_IMS_SMS_CONFIG_IND indication. 0x00 - Disable 0x01 - Enable
  pUserConfigEvents(optional) | Registration Indication For User Configuration Events. When this registration is enabled, the device learns of user config events via the QMI_IMS_USER_CONFIG_IND indication. 0x00 - Disable 0x01 - Enable
  pVoIPConfigEvents(optional) | Registration Indication For VoIP Configuration Events. When this registration is enabled, the device learns of VOIP config events via the QMI_IMS_VOIP_CONFIG_IND indication. 0x00 - Disable 0x01 - Enable

Note
  One of the optional parameter is mandatory to be present in the request.

## Field Documentation

BYTE* imsCfgIndRegisterInfo::pRegMgrConfigEvents

BYTE* imsCfgIndRegisterInfo::pSIPConfigEvents

BYTE* imsCfgIndRegisterInfo::pSMSConfigEvents

BYTE* imsCfgIndRegisterInfo::pUserConfigEvents

BYTE* imsCfgIndRegisterInfo::pVoIPConfigEvents